package com.maintain.business.service;

import com.maintain.business.domain.ErpWarehouseLocation;
import com.maintain.business.domain.vo.ErpWarehouseLocationVo;
import com.maintain.business.domain.bo.ErpWarehouseLocationBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 仓库货位Service接口
 *
 * @author liushuai
 * @date 2025-04-03
 */
public interface IErpWarehouseLocationService {

    /**
     * 查询仓库货位
     */
    ErpWarehouseLocationVo queryById(Long id);

    /**
     * 查询仓库货位列表
     */
    TableDataInfo<ErpWarehouseLocationVo> queryPageList(ErpWarehouseLocationBo bo, PageQuery pageQuery);

    /**
     * 查询仓库货位列表
     */
    List<ErpWarehouseLocationVo> queryList(ErpWarehouseLocationBo bo);

    /**
     * 新增仓库货位
     */
    Boolean insertByBo(ErpWarehouseLocationBo bo);

    /**
     * 修改仓库货位
     */
    Boolean updateByBo(ErpWarehouseLocationBo bo);

    /**
     * 校验并批量删除仓库货位信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
